Subject: bug#12178: GNU Automake 1.12.2 - FAIL: 1

From: Dennis Clarke <[email-masked]>
Date: Fri, 10 Aug 2012 21:52:08 -0400

.
.
.
PASS: t/depcomp-dashmstdout.tap 28 - [absolute VPATH] make distclean
gmake[3]: Entering directory `/build/other/automake-1.12.2_001'
gmake[3]: Nothing to be done for `all'.
gmake[3]: Leaving directory `/build/other/automake-1.12.2_001'
============================================================================
Testsuite summary for GNU Automake 1.12.2
============================================================================
# TOTAL: 2852
# PASS:  2688
# SKIP:  123
# XFAIL: 40
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to [email-masked]
============================================================================
gmake[2]: *** [test-suite.log] Error 1
gmake[2]: Leaving directory `/build/other/automake-1.12.2_001'
gmake[1]: *** [check-TESTS] Error 2
gmake[1]: Leaving directory `/build/other/automake-1.12.2_001'
gmake: *** [check-am] Error 2

So here we are on Debian linux 6.0.4 with gcc and nothing dramatic. 

Let me know what info is needed. 

dclarke@testy:/build/other/automake-1.12.2_001$ find . -type f -name test-suite.log
./test-suite.log
./t/tap-bad-prog.dir/test-suite.log
./t/tap-bad-prog-w.dir/test-suite.log
./t/parallel-tests-many.dir/test-suite.log
dclarke@testy:/build/other/automake-1.12.2_001$ 

dclarke@testy:/build/other/automake-1.12.2_001$ wc -l ./test-suite.log
19213 ./test-suite.log
dclarke@testy:/build/other/automake-1.12.2_001$ wc -l ./t/tap-bad-prog.dir/test-suite.log
35 ./t/tap-bad-prog.dir/test-suite.log
dclarke@testy:/build/other/automake-1.12.2_001$ wc -l ./t/tap-bad-prog-w.dir/test-suite.log
32 ./t/tap-bad-prog-w.dir/test-suite.log
dclarke@testy:/build/other/automake-1.12.2_001$ wc -l ./t/parallel-tests-many.dir/test-suite.log
14 ./t/parallel-tests-many.dir/test-suite.log
dclarke@testy:/build/other/automake-1.12.2_001$ 

Looks like one of those is large. Can't email here. 

I'll dig into it and find the FAIL : 

FAIL: t/aclocal7
================

Running from installcheck: no
Using TAP: no
PATH = /build/other/automake-1.12.2_001/t/ax:/build/other/automake-1.12.2_001/t/wrap:/usr/local/mm/sbin:/usr/local/mm/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/schily/bin
+++ pwd
/build/other/automake-1.12.2_001/t/aclocal7.dir
+ cat
+ mkdir sub
+ :
+ cat
+ :
+ mkdir m4
+ echo 'AC_DEFUN([SOME_DEFS], [])'
+ aclocal-1.12 -Werror -I m4
+ AUTOMAKE_after_aclocal
+ sleep 2
+ automake-1.12 --foreign -Werror -Wall --no-force
+ touch foo
+ sleep 2
+ aclocal-1.12 -Werror -I m4
+ AUTOMAKE_after_aclocal
+ sleep 2
+ automake-1.12 --foreign -Werror -Wall --no-force
+ is_newest foo aclocal.m4 Makefile.in sub/Makefile.in
is_newest: these files are newer than 'foo':
* aclocal.m4
* Makefile.in
* sub/Makefile.in
+ exit_status=1
+ set +e
+ cd /build/other/automake-1.12.2_001
+ test no = yes
+ case $am_explicit_skips in
+ test 1 -eq 0
+ keep_testdirs=yes
+ am_keeping_testdirs
+ case $keep_testdirs in
+ return 0
+ set +x
aclocal7: exit 1

Let's see what else we have : 

dclarke@testy:/build/other/automake-1.12.2_001$ cat ./t/tap-bad-prog.dir/test-suite.log
========================================
   tap-bad-prog 1.0: ./test-suite.log
========================================

# TOTAL: 6
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 6

.. contents:: :depth: 2

ERROR: none
===========

./tap-driver: line 143: ./none.test: No such file or directory
ERROR: none.test - missing test plan
ERROR: none.test - exited with status 127 (command not found?)

ERROR: noread
=============

./tap-driver: line 143: ./noread.test: Permission denied
ERROR: noread.test - missing test plan
ERROR: noread.test - exited with status 126

ERROR: noexec
=============

./tap-driver: line 143: ./noexec.test: Permission denied
ERROR: noexec.test - missing test plan
ERROR: noexec.test - exited with status 126

dclarke@testy:/build/other/automake-1.12.2_001$ 
dclarke@testy:/build/other/automake-1.12.2_001$ 
dclarke@testy:/build/other/automake-1.12.2_001$ cat  ./t/tap-bad-prog-w.dir/test-suite.log
==========================================
   tap-bad-prog-w 1.0: ./test-suite.log
==========================================

# TOTAL: 3
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 3

.. contents:: :depth: 2

ERROR: none
===========

ERROR: none.test - couldn't execute test script
ERROR: none.test - missing test plan

ERROR: noread
=============

ERROR: noread.test - couldn't execute test script
ERROR: noread.test - missing test plan

ERROR: noexec
=============

ERROR: noexec.test - couldn't execute test script
ERROR: noexec.test - missing test plan

dclarke@testy:/build/other/automake-1.12.2_001$ 
dclarke@testy:/build/other/automake-1.12.2_001$ 
dclarke@testy:/build/other/automake-1.12.2_001$ 
dclarke@testy:/build/other/automake-1.12.2_001$ 
dclarke@testy:/build/other/automake-1.12.2_001$ cat ./t/parallel-tests-many.dir/test-suite.log
===============================================
   parallel-tests-many 1.0: ./test-suite.log
===============================================

# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

dclarke@testy:/build/other/automake-1.12.2_001$ 

dclarke@testy:/build/other/automake-1.12.2_001$ 
dclarke@testy:/build/other/automake-1.12.2_001$ uname -a 
Linux testy 2.6.32-5-amd64 #1 SMP Thu Mar 22 17:26:33 UTC 2012 x86_64 GNU/Linux
dclarke@testy:/build/other/automake-1.12.2_001$ cat /etc/debian_version 
6.0.4
dclarke@testy:/build/other/automake-1.12.2_001$ env | sort 
CFLAGS=-g -malign-double -mpreferred-stack-boundary=8 -m64
CPPFLAGS=-I/usr/local/include
CXXFLAGS=-g -malign-double -mpreferred-stack-boundary=8 -m64
HOME=/home/dclarke
LANG=C
LANGUAGE=en_CA:en
LC_ALL=C
LC_COLLATE=C
LC_CTYPE=C
LC_MESSAGES=C
LC_MONETARY=C
LC_NUMERIC=C
LC_TIME=C
LD_OPTIONS=-L/usr/local/lib --emit-relocs -rpath=/usr/local/lib -rpath=/usr/local/mm/lib
LD_RUN_PATH=/usr/local/lib
LOGNAME=dclarke
M4=/usr/local/bin/gm4
MAIL=/var/mail/dclarke
OLDPWD=/build/other
PATH=/usr/local/mm/sbin:/usr/local/mm/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/schily/bin
PWD=/build/other/automake-1.12.2_001
SHELL=/bin/bash
SHLVL=1
SRC=/build/src
SSH_CLIENT=204.225.61.1 49975 22
SSH_CONNECTION=204.225.61.1 49975 10.210.28.93 22
SSH_TTY=/dev/pts/0
TERM=vt100
USER=dclarke
_=/usr/bin/env
dclarke@testy:/build/other/automake-1.12.2_001$ 

So someone can let me know what info is needed and we can track this down.

Dennis